<template>
  <div class="MenuComponent">
    <b-card
      @click="onClickNewMenu"
      class="mx-5 mb-4 text-center"
      style="background-color: #1c1c1c; color: #ffbd61"
    >
      <h6>
        <b>AJOUTER UN MENU</b>
      </h6>
    </b-card>

    <div v-for="food in $store.state.food.FoodsList" :key="food._id">
      <b-card @click="clickFood(food)" class="mx-3 mb-2">
        <div class="row">
          <div class="col">
            <h6>
              <b>{{ food.name }}</b>
            </h6>
          </div>

          <div class="col">
            <b-icon
               @click="clickDeleteMenu(food._id)"
              class="rounded-circle bg-light"
              variant="dark"
              icon="x-circle"
              style="font-size: 30px; z-index: 1; float: right"
            ></b-icon>
          </div>
        </div>

        <b-card-text>
         <div style="font-size: 12px">{{ food.description }} </div> 
         <b style="font-size: 14px"> {{ food.price}}€ </b>
        </b-card-text>
      </b-card>
    </div>
  </div>
</template>

<script lang="ts">
import router from "@/router";
import Vue from "vue";
import { mapActions, mapGetters } from "vuex";
import ComposeMenuComponent from "../FoodComponents/DetailMenuComponent.vue";

export default Vue.extend({
  name: "MenuComponent",
  props: {},

  data: () => ({}),

  methods: {
    ...mapActions(["selectFood", "deleteMenu"]),

    clickFood(food: any) {
      this.selectFood(food);
      router.push("detail-menu");
    },

    onClickNewMenu() {
      router.push("create-menu");
    },

    clickDeleteMenu(id: any){
      if(confirm('Voulez vous supprimer le menu ?')){
        this.deleteMenu(id)
      }

    }
  },


  created() {
    this.$store.dispatch(
      "getFoodsByRestaurant",
      this.$store.state.restaurant.MyRestaurant._id
    );

    if(!this.$store.state.restaurant.MyRestaurant._id){
      router.push('/')
    }
  },

});
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.restaurant-card {
  font-size: 12px;
}
</style>
